# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file '4_4_multilevel_inheritance.ui'
#
# Created by: PyQt5 UI code generator 5.15.2
#
# WARNING: Any manual changes made to this file will be lost when pyuic5 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_Dialog(object):
    def setupUi(self, Dialog):
        Dialog.setObjectName("Dialog")
        Dialog.resize(417, 386)
        self.label = QtWidgets.QLabel(Dialog)
        self.label.setGeometry(QtCore.QRect(20, 10, 101, 24))
        self.label.setObjectName("label")
        self.label_2 = QtWidgets.QLabel(Dialog)
        self.label_2.setGeometry(QtCore.QRect(20, 60, 131, 24))
        self.label_2.setObjectName("label_2")
        self.label_3 = QtWidgets.QLabel(Dialog)
        self.label_3.setGeometry(QtCore.QRect(20, 110, 131, 24))
        self.label_3.setObjectName("label_3")
        self.label_4 = QtWidgets.QLabel(Dialog)
        self.label_4.setGeometry(QtCore.QRect(20, 160, 151, 24))
        self.label_4.setObjectName("label_4")
        self.lineEditID = QtWidgets.QLineEdit(Dialog)
        self.lineEditID.setGeometry(QtCore.QRect(190, 10, 201, 31))
        self.lineEditID.setObjectName("lineEditID")
        self.lineEditName = QtWidgets.QLineEdit(Dialog)
        self.lineEditName.setGeometry(QtCore.QRect(190, 60, 201, 31))
        self.lineEditName.setObjectName("lineEditName")
        self.lineEditHistoryMarks = QtWidgets.QLineEdit(Dialog)
        self.lineEditHistoryMarks.setGeometry(QtCore.QRect(190, 110, 201, 31))
        self.lineEditHistoryMarks.setObjectName("lineEditHistoryMarks")
        self.lineEditGeographyMarks = QtWidgets.QLineEdit(Dialog)
        self.lineEditGeographyMarks.setGeometry(QtCore.QRect(190, 160, 201, 31))
        self.lineEditGeographyMarks.setObjectName("lineEditGeographyMarks")
        self.pushButtonClickMe = QtWidgets.QPushButton(Dialog)
        self.pushButtonClickMe.setGeometry(QtCore.QRect(160, 330, 110, 40))
        self.pushButtonClickMe.setObjectName("pushButtonClickMe")
        self.labelTotalMarks = QtWidgets.QLabel(Dialog)
        self.labelTotalMarks.setGeometry(QtCore.QRect(30, 220, 131, 24))
        self.labelTotalMarks.setObjectName("labelTotalMarks")
        self.labelPercentage = QtWidgets.QLabel(Dialog)
        self.labelPercentage.setGeometry(QtCore.QRect(30, 250, 171, 24))
        self.labelPercentage.setObjectName("labelPercentage")

        self.retranslateUi(Dialog)
        QtCore.QMetaObject.connectSlotsByName(Dialog)

    def retranslateUi(self, Dialog):
        _translate = QtCore.QCoreApplication.translate
        Dialog.setWindowTitle(_translate("Dialog", "Dialog"))
        self.label.setText(_translate("Dialog", "Student ID"))
        self.label_2.setText(_translate("Dialog", "Student Name"))
        self.label_3.setText(_translate("Dialog", "History Marks"))
        self.label_4.setText(_translate("Dialog", "Geography Marks"))
        self.pushButtonClickMe.setText(_translate("Dialog", "Click"))
        self.labelTotalMarks.setText(_translate("Dialog", "Total:"))
        self.labelPercentage.setText(_translate("Dialog", "Percentage:"))
